## org.codehaus.groovy.ast.expr
Class SpreadExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.SpreadExpression

    public class SpreadExpression

extends Expression

Represents a spread expression *x in the list expression [1, *x, 2].

Version:
  $Revision: 7922 $

Constructor Summary
`SpreadExpression(Expression expression)`

Method Summary
`Expression` `getExpression()`
`String` `getText()`
`ClassNode` `getType()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class org.codehaus.groovy.ast.expr.Expression
`setType, transformExpressions, transformExpressions`

Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode
`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpreadExpression

    public SpreadExpression(Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### visit

    public void visit(GroovyCodeVisitor visitor)

  Overrides:
    `visit` in class `ASTNode`

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Description copied from class: `Expression`
  Return a copy of the expression calling the transformer on any nested expressions

  Specified by:
    `transformExpression` in class `Expression`

### getText

    public String getText()

  Overrides:
    `getText` in class `ASTNode`

### getType

    public ClassNode getType()

  Overrides:
    `getType` in class `Expression`

Copyright © 2003-2009 The Codehaus. All rights reserved.